
function Get-SectigoCertificate {
    [CmdletBinding(SupportsShouldProcess=$true)]
    param (
        [string]$ApiToken=$env:SectigoToken,
        [Parameter(Mandatory=$true)]
        [string]$OrderId
    )

    if (-Not $ApiToken) {
        $ApiToken=Read-Host "ApiToken:"
    }

    . $PSScriptRoot\..\Private\Set-Onload.ps1

   # [string]$dcvUrl = "${BaseAPIUrl}/api/ssl/v1/${OrderId}/dcv"
    [string]$dcvUrl = "${BaseAPIUrl}/api/ssl/v1/${OrderId}"


    $headers = @{
        "Authorization" = "Bearer $ApiToken"
        "Content-Type" = "application/json"  # <-- Cleaned up syntax
    }

    # --- API Call ---
    Write-Verbose "Attempting to retrieve certificate for Order ID: $OrderId"

    try {
        $response = Invoke-RestMethod -Uri $dcvUrl -Method Get -Headers $headers -UseBasicParsing -ErrorAction Stop
        return $response
    } catch {
       Write-Error "API Request Failed: $($_.Exception.Message)"
        return $null
    }
     $response

}